| Qore ServiceNowRestDataProvider Module Reference 1.2

Classes | Functions | Variables
ServiceNowRestDataProvider Namespace Reference

Qore ServiceNowRestDataProvider module definition. More...

## Classes
struct | QueryOperatorInfo
| Query operator info hash as returned by all operator functions. More...
class | ServiceNowRestDataProvider
| The ServiceNowRest data provider class. More...
class | ServiceNowRestDataProviderFactory
| The ServiceNowRest data provider factory. More...
class | ServiceNowRestRecordIterator
| Defines the record iterator class for Table-based iterators. More...
class | ServiceNowTableDataProvider
| The ServiceNowTableDataProvider data provider class. More...
class | ServiceNowTablesDataProvider
| The ServiceNowTablesDataProvider data provider class. More...

## Functions
hash< QueryOperatorInfo > | query_make_op (string op, auto arg)
| returns an QueryOperatorInfo hash
hash< QueryOperatorInfo > | query_op_eq (auto arg)
| returns an QueryOperatorInfo hash for the `"="` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values More...
hash< QueryOperatorInfo > | query_op_ge (auto arg)
| returns an QueryOperatorInfo hash for the `">="` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values More...
hash< QueryOperatorInfo > | query_op_gt (auto arg)
| returns an QueryOperatorInfo hash for the `">"` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values More...
hash< QueryOperatorInfo > | query_op_isempty ()
| returns an QueryOperatorInfo hash for the `"ISEMPTY"` operator with the given argument for use in ServiceNow queries when comparing column values to an empty string More...
hash< QueryOperatorInfo > | query_op_isnotempty ()
| returns an QueryOperatorInfo hash for the `"ISNOTEMPTY"` operator with the given argument for use in ServiceNow queries when comparing column values to an empty string More...
hash< QueryOperatorInfo > | query_op_le (auto arg)
| returns an QueryOperatorInfo hash for the `"<="` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values More...
hash< QueryOperatorInfo > | query_op_like (string str)
| returns an QueryOperatorInfo hash for the `"LIKE"` operator with the given argument for use in ServiceNow queries More...
hash< QueryOperatorInfo > | query_op_lt (auto arg)
| returns an QueryOperatorInfo hash for the `"<"` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values More...
hash< QueryOperatorInfo > | query_op_ne (auto arg)
| returns an QueryOperatorInfo hash for the `"!="` or `"<>"` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values More...
hash< QueryOperatorInfo > | query_op_not (hash arg)
| returns an QueryOperatorInfo hash for the `"not"` operator; for use in ServiceNow queries More...
hash< QueryOperatorInfo > | query_op_notlike (string str)
| returns an QueryOperatorInfo hash for the `"NOTLIKE"` operator with the given argument for use in ServiceNow queries More...
hash< string, hash< QueryOperatorInfo > > | query_wop_or (hash< auto > h1, hash< auto > h2)
| returns an QueryOperatorInfo hash with a fake `"_OR_"` column name; the list of arguments to the function is combined such that each hash in the list generates SQL expressions combined with "and" logic, and each of those clauses is combined with "or" logic; this is for use in ServiceNow queries More...
hash< QueryOperatorInfo > | soql_op_in ()
| returns an QueryOperatorInfo hash for the `"IN"` operator with all arguments passed to the function More...
hash< QueryOperatorInfo > | soql_op_in (list< auto > args)
| returns an QueryOperatorInfo hash for the `"IN"` operator with the given argument list as the first argument More...
hash< QueryOperatorInfo > | soql_op_notin ()
| returns an QueryOperatorInfo hash for the `"NOTIN"` operator with all arguments passed to the function More...
hash< QueryOperatorInfo > | soql_op_notin (list< auto > args)
| returns an QueryOperatorInfo hash for the `"NOTIN"` operator with the given argument list as the first argument More...

## Variables
hash< string, bool > | bool_fields
| Hash of boolean fields for this record.
hash< string, bool > | date_time_fields
| Hash of date/time fields for this record.
hash< string, string > | field_types
| The original field type names.
hash< string, bool > | int_fields
| Hash of integer fields for this record.
const | QUERY_OP_ENDSWITH = "ENDSWITH"
| ends with operator More...
const | QUERY_OP_EQ = "eq"
| the Query equals operator (=) for use in queries More...
const | QUERY_OP_GE = "ge"
| the Query greater than or equals operator (>=) for use in queries More...
const | QUERY_OP_GT = "gt"
| the Query greater than operator (>) for use in queries More...
const | QUERY_OP_IN = "IN"
| the Query "IN" operator for use in queries More...
const | QUERY_OP_ISEMPTY = "ISEMPTY"
| the Query "is empty string" operator (ISEMPTY) for use in queries More...
const | QUERY_OP_ISNOTEMPTY = "ISNOTEMPTY"
| the Query "is not empty string" operator (ISNOTEMPTY) for use in queries More...
const | QUERY_OP_LE = "le"
| the Query less than or equals (<=) operator for use in queries More...
const | QUERY_OP_LIKE = "LIKE"
| like/contains operator More...
const | QUERY_OP_LT = "lt"
| the Query less than (<) operator for use in queries More...
const | QUERY_OP_NE = "ne"
| the Query not equals operator (!= or <>) for use in queries More...
const | QUERY_OP_NOT = "NOT"
| the Query `"not"` operator for use in queries More...
const | QUERY_OP_NOTIN = "NOTIN"
| the Query "NOTIN" operator for use in queries More...
const | QUERY_OP_NOTLIKE = "NOTLIKE"
| not like operator More...
const | QUERY_OP_OR = "OR"
| to combine Query expressions with `"or"` for use in queries More...
const | QUERY_OP_STARTSWITH = "STARTSWITH"
| starts with operator More...
hashdecl | ServiceNowRestRecordInfo
| contains ServiceNow object record information

## Detailed Description

Qore ServiceNowRestDataProvider module definition.

Qore ServiceNowRestRecordIterator class definition.

Qore ServiceNowRestDataProviderFactory class definition.

Qore ServiceNowRestDataProviderDefs definitions.

contains all public definitions in the ServiceNowRestDataProvider module

ServiceNowRestDataProvider.qc Copyright 2020 - 2022 Qore Technologies, s.r.o.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. contains all public definitions in the ServiceNowRestDataProvider module

ServiceNowRestDataProviderDefs.qc Copyright 2022 Qore Technologies, s.r.o.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. contains all public definitions in the ServiceNowRestDataProvider module

ServiceNowRestDataProviderFactory.qc Copyright 2022 Qore Technologies, s.r.o.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. Contains all public definitions in the ServiceNowRestDataProvider module

ServiceNowRestRecordIterator.qc Copyright 2022 Qore Technologies, s.r.o.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. contains all public definitions in the ServiceNowRestDataProvider module

ServiceNowTableDataProvider.qc Copyright 2022 Qore Technologies, s.r.o.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. contains all public definitions in the ServiceNowRestDataProvider module

ServiceNowTablesDataProvider.qc Copyright 2022 Qore Technologies, s.r.o.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. contains all public definitions in the ServiceNowRestDataProvider module

## Function Documentation

## ◆ query_op_eq()

hash<QueryOperatorInfo> ServiceNowRestDataProvider::query_op_eq | ( | auto | arg | ) |

returns an QueryOperatorInfo hash for the `"="` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_eq("Smith")});

Parameters

  arg | the argument for the operator

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## ◆ query_op_ge()

hash<QueryOperatorInfo> ServiceNowRestDataProvider::query_op_ge | ( | auto | arg | ) |

returns an QueryOperatorInfo hash for the `">="` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_ge("Apple")});

Parameters

  arg | the argument for the operator

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## ◆ query_op_gt()

hash<QueryOperatorInfo> ServiceNowRestDataProvider::query_op_gt | ( | auto | arg | ) |

returns an QueryOperatorInfo hash for the `">"` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_gt("Apple")});

Parameters

  arg | the argument for the operator

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## ◆ query_op_isempty()

hash<QueryOperatorInfo> ServiceNowRestDataProvider::query_op_isempty | ( |  | ) |

returns an QueryOperatorInfo hash for the `"ISEMPTY"` operator with the given argument for use in ServiceNow queries when comparing column values to an empty string

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_isempty()});

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## ◆ query_op_isnotempty()

hash<QueryOperatorInfo> ServiceNowRestDataProvider::query_op_isnotempty | ( |  | ) |

returns an QueryOperatorInfo hash for the `"ISNOTEMPTY"` operator with the given argument for use in ServiceNow queries when comparing column values to an empty string

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_isnotempty()});

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## ◆ query_op_le()

hash<QueryOperatorInfo> ServiceNowRestDataProvider::query_op_le | ( | auto | arg | ) |

returns an QueryOperatorInfo hash for the `"<="` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_le("Zebra")});

Parameters

  arg | the argument for the operator

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## ◆ query_op_like()

hash<QueryOperatorInfo> ServiceNowRestDataProvider::query_op_like | ( | string | str | ) |

returns an QueryOperatorInfo hash for the `"LIKE"` operator with the given argument for use in ServiceNow queries

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_like("smith")});

Parameters

  str | the argument for the operator

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## ◆ query_op_lt()

hash<QueryOperatorInfo> ServiceNowRestDataProvider::query_op_lt | ( | auto | arg | ) |

returns an QueryOperatorInfo hash for the `"<"` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_lt("Zebra")});

Parameters

  arg | the argument for the operator

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## ◆ query_op_ne()

hash<QueryOperatorInfo> ServiceNowRestDataProvider::query_op_ne | ( | auto | arg | ) |

returns an QueryOperatorInfo hash for the `"!="` or `"<>"` operator with the given argument for use in ServiceNow queries when comparing column values to immediate values

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_ne("Smith")});

Parameters

  arg | the argument for the operator

## ◆ query_op_not()

hash<QueryOperatorInfo> ServiceNowRestDataProvider::query_op_not | ( | hash | arg | ) |

returns an QueryOperatorInfo hash for the `"not"` operator; for use in ServiceNow queries

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_not(query_op_eq(name))});

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## ◆ query_op_notlike()

hash<QueryOperatorInfo> ServiceNowRestDataProvider::query_op_notlike | ( | string | str | ) |

returns an QueryOperatorInfo hash for the `"NOTLIKE"` operator with the given argument for use in ServiceNow queries

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"name": query_op_notlike("smith")});

Parameters

  str | the argument for the operator

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

## ◆ query_wop_or()

hash<string, hash<QueryOperatorInfo> > ServiceNowRestDataProvider::query_wop_or | ( | hash< auto > | h1,
|  | hash< auto > | h2
| ) |  |

returns an QueryOperatorInfo hash with a fake `"_OR_"` column name; the list of arguments to the function is combined such that each hash in the list generates SQL expressions combined with "and" logic, and each of those clauses is combined with "or" logic; this is for use in ServiceNow queries

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"Id": id} + query_wop_or({"Type": "C", "ValidationFlag": query_op_ne("Y")}, {"ExpirationFlag": 'Y'}));

Parameters

  h1 | the first hash of expressions to combine with `"or"` logic
  h2 | the second hash of expressions to combine with `"or"` logic
  ... | remaining expressions to combine with `"or"` logic

Returns
  a hash with an QueryOperatorInfo hash value keyed by a fake column name (`"_OR_"` with a numeric prefix for uniqueness) for use in a where operation description hash for use in ServiceNow queries

Note
  a random prefix is used so that multiple uses of the function can be used to generate a single where clause hash

## ◆ soql_op_in() [1/2]

hash<QueryOperatorInfo> ServiceNowRestDataProvider::soql_op_in | ( |  | ) |

returns an QueryOperatorInfo hash for the `"IN"` operator with all arguments passed to the function

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"value": query_op_in(200, 300, 500, 9)});

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

Note
  The argument list size may be constrained depending on the database server / driver used; passing a large number of arguments to this function may be a sign of an improper application or query design

## ◆ soql_op_in() [2/2]

hash<QueryOperatorInfo> ServiceNowRestDataProvider::soql_op_in | ( | list< auto > | args | ) |

returns an QueryOperatorInfo hash for the `"IN"` operator with the given argument list as the first argument

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"value": query_op_in(idlist)});

Parameters

  args | a list of values for the `"IN"` operator

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

Note
  The argument list size may be constrained depending on the database server / driver used; passing a large number of arguments to this function may be a sign of an improper application or query design

## ◆ soql_op_notin() [1/2]

hash<QueryOperatorInfo> ServiceNowRestDataProvider::soql_op_notin | ( |  | ) |

returns an QueryOperatorInfo hash for the `"NOTIN"` operator with all arguments passed to the function

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"value": query_op_notin(200, 300, 500, 9)});

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

Note
  The argument list size may be constrained depending on the database server / driver used; passing a large number of arguments to this function may be a sign of an improper application or query design

## ◆ soql_op_notin() [2/2]

hash<QueryOperatorInfo> ServiceNowRestDataProvider::soql_op_notin | ( | list< auto > | args | ) |

returns an QueryOperatorInfo hash for the `"NOTIN"` operator with the given argument list as the first argument

Example:
  AbstractDataProviderRecordIterator i = provider.searchRecords({"value": query_op_notin(idlist)});

Parameters

  args | a list of values for the `"NOTIN"` operator

Returns
  an QueryOperatorInfo hash for use in ServiceNow queries

Note
  The argument list size may be constrained depending on the database server / driver used; passing a large number of arguments to this function may be a sign of an improper application or query design

## Variable Documentation

## ◆ QUERY_OP_ENDSWITH

const ServiceNowRestDataProvider::QUERY_OP_ENDSWITH = "ENDSWITH"

ends with operator

See also
  query_op_endswith()

## ◆ QUERY_OP_EQ

const ServiceNowRestDataProvider::QUERY_OP_EQ = "eq"

the Query equals operator (=) for use in queries

See also
  query_op_eq()

## ◆ QUERY_OP_GE

const ServiceNowRestDataProvider::QUERY_OP_GE = "ge"

the Query greater than or equals operator (>=) for use in queries

See also
  query_op_ge()

## ◆ QUERY_OP_GT

const ServiceNowRestDataProvider::QUERY_OP_GT = "gt"

the Query greater than operator (>) for use in queries

See also
  query_op_gt()

## ◆ QUERY_OP_IN

const ServiceNowRestDataProvider::QUERY_OP_IN = "IN"

the Query "IN" operator for use in queries

See also
  query_op_in()

## ◆ QUERY_OP_ISEMPTY

const ServiceNowRestDataProvider::QUERY_OP_ISEMPTY = "ISEMPTY"

the Query "is empty string" operator (ISEMPTY) for use in queries

See also
  query_op_isempty()

## ◆ QUERY_OP_ISNOTEMPTY

const ServiceNowRestDataProvider::QUERY_OP_ISNOTEMPTY = "ISNOTEMPTY"

the Query "is not empty string" operator (ISNOTEMPTY) for use in queries

See also
  query_op_isnotempty()

## ◆ QUERY_OP_LE

const ServiceNowRestDataProvider::QUERY_OP_LE = "le"

the Query less than or equals (<=) operator for use in queries

See also
  query_op_le()

## ◆ QUERY_OP_LIKE

const ServiceNowRestDataProvider::QUERY_OP_LIKE = "LIKE"

like/contains operator

See also
  query_op_like()

## ◆ QUERY_OP_LT

const ServiceNowRestDataProvider::QUERY_OP_LT = "lt"

the Query less than (<) operator for use in queries

See also
  query_op_lt()

## ◆ QUERY_OP_NE

const ServiceNowRestDataProvider::QUERY_OP_NE = "ne"

the Query not equals operator (!= or <>) for use in queries

See also
  query_op_ne()

## ◆ QUERY_OP_NOT

const ServiceNowRestDataProvider::QUERY_OP_NOT = "NOT"

the Query `"not"` operator for use in queries

See also
  query_op_not()

## ◆ QUERY_OP_NOTIN

const ServiceNowRestDataProvider::QUERY_OP_NOTIN = "NOTIN"

the Query "NOTIN" operator for use in queries

See also
  query_op_notin()

## ◆ QUERY_OP_NOTLIKE

const ServiceNowRestDataProvider::QUERY_OP_NOTLIKE = "NOTLIKE"

not like operator

See also
  query_op_notlike()

## ◆ QUERY_OP_OR

const ServiceNowRestDataProvider::QUERY_OP_OR = "OR"

to combine Query expressions with `"or"` for use in queries

See also
  query_wquery_op_or()

## ◆ QUERY_OP_STARTSWITH

const ServiceNowRestDataProvider::QUERY_OP_STARTSWITH = "STARTSWITH"

starts with operator

See also
  query_op_startswith()